CVE-2019-10450

Name
CVE-2019-10450
Description
Jenkins ElasticBox CI Plugin stores credentials unencrypted in the global config.xml configuration file on the Jenkins master where they can be viewed by users with access to the master file system.
NVD Severity
low
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
Vendor Advisory https://jenkins.io/security/advisory/2019-10-16/#SECURITY-1434

Match rules

CPE URI Source package Min version Max version
cpe:2.3:a:jenkins:elasticbox_ci:*:*:*:*:*:jenkins:*:* jenkins >= None <= 5.0.1

Vulnerable and fixed packages

Source package Branch Version Maintainer Status
jenkins 3.14-community 2.297-r0 Francesco Colista <fcolista@alpinelinux.org> possibly vulnerable
jenkins edge-community 2.307-r0 Francesco Colista <fcolista@alpinelinux.org> possibly vulnerable